aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/tests.sh
diff options
context:
space:
mode:
authorchriseth <c@ethdev.com>2016-08-01 21:33:01 +0800
committerchriseth <c@ethdev.com>2016-08-01 22:49:19 +0800
commit82d113680c47b7916d2d8fb7c9b94d0370777c85 (patch)
tree0f79bbde2240046a93ff7de2b02746aaa7789724 /scripts/tests.sh
parent08c6a4e7ba330b02f394224cf1593f96db6be554 (diff)
downloaddexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.tar
dexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.tar.gz
dexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.tar.bz2
dexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.tar.lz
dexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.tar.xz
dexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.tar.zst
dexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.zip
Run the tests only three times.
Diffstat (limited to 'scripts/tests.sh')
-rwxr-xr-xscripts/tests.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/scripts/tests.sh b/scripts/tests.sh
index c342c65f..6ee816b0 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -26,6 +26,8 @@
# (c) 2016 solidity contributors.
#------------------------------------------------------------------------------
+set -e
+
# There is an implicit assumption here that we HAVE to run from root directory.
REPO_ROOT=$(pwd)
@@ -59,7 +61,9 @@ while [ ! -S /tmp/test/geth.ipc ]; do sleep 2; done
# need to check if this command-line support works for Windows too, when we
# have implemented IPC Sockets support at all for Windows.
export ETH_TEST_IPC=/tmp/test/geth.ipc
-$REPO_ROOT/build/test/soltest
+"$REPO_ROOT"/build/test/soltest
ERROR_CODE=$?
-pkill eth
+pkill eth || true
+sleep 4
+pgrep eth && pkill -9 eth || true
exit $ERROR_CODE